package com.miaxis.extension.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 分成收益对象返回参
 * @author wwl
 * @version 1.0
 * @date 2021/11/26 10:33
 */
@Data
@ApiModel(value = "ExtensionIncomeVo", description = "分成收益对象返回参")
public class ExtensionIncomeVo {

    @TableField("openid")
    @ApiModelProperty(value = "微信openid")
    private String openid;

    @TableField("nick_name")
    @ApiModelProperty(value = "微信昵称")
    private String nickName;

    @TableField("head_image")
    @ApiModelProperty(value = "微信头像地址")
    private String headImage;

    @ApiModelProperty(value = "总推广积分")
    private Integer achievementTotal;

    @ApiModelProperty(value = "未结算推广积分")
    private Integer achievement;

    @ApiModelProperty(value = "已结算推广积分")
    private Integer achievementSettled;

    @ApiModelProperty(value = "推广人数")
    private Integer extensionCount;

    @ApiModelProperty(value = "消费金额(分)")
    private Integer costCount;

}
